Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 598962 - bltk man pages are broken
bltk man pages are broken
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: bltk (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Jiri Skala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-02 08:41 EDT by Chris Ward
Modified: 2014-11-09 17:33 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-02 09:59:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ward 2010-06-02 08:41:49 EDT
Description of problem:

%> rpm -q bltk
bltk-1.0.9-12.el6.x86_64

%> ls /usr/share/man/man1/bltk*
/usr/share/man/man1/bltk.1.gz  /usr/share/man/man1/bltk_report.1.gz

%> ls /usr/share/man/man5/bltk.conf.5.gz 
/usr/share/man/man5/bltk.conf.5.gz


%> man bltk

gzip: /usr/share/man/man1/bltk.1.gz: unexpected end of file
fgets: No such file or directory
Error reading man page /usr/share/man/man1/bltk.1.gz
No manual entry for bltk

%> man bltk_report

gzip: /usr/share/man/man1/bltk_report.1.gz: unexpected end of file
fgets: No such file or directory
Error reading man page /usr/share/man/man1/bltk_report.1.gz
No manual entry for bltk_report

%> man bltk.conf

gzip: /usr/share/man/man5/bltk.conf.5.gz: unexpected end of file
fgets: No such file or directory
Error reading man page /usr/share/man/man5/bltk.conf.5.gz
No manual entry for bltk.conf


gunzip --test /usr/share/man/man1/bltk.1.gz 

gzip: /usr/share/man/man1/bltk.1.gz: unexpected end of file
[root@cward ~]# gunzip --test /usr/share/man/man1/bltk* 

gzip: /usr/share/man/man1/bltk.1.gz: unexpected end of file

gunzip --test /usr/share/man/man5/bltk.conf.5.gz 

gzip: /usr/share/man/man5/bltk.conf.5.gz: unexpected end of file
Comment 2 Jiri Skala 2010-06-02 09:40:47 EDT
Tested on qa virtual-host x86-64-v13. It works there. Of course I tested rpm from brew.

I think comment #6 of #593599 indicates man pages work.

Could you specify host name where it doesn't work?
Comment 3 Chris Ward 2010-06-02 09:59:27 EDT
Interesting.i just force re-installed using the bits from brew 

%> sudo rpm -U /mnt/redhat/brewroot/packages/bltk/1.0.9/12.el6/x86_64/bltk-1.0.9-12.el6.x86_64.rpm --force



and then everything magically worked. Must have been a bad compose...

Note You need to log in before you can comment on or make changes to this bug.